/*! Build time: 2025/1/25 20:16:24
Package: @bilibili-activity/xt-pc
Version: 0.0.1
Env: production
 */
html,
body,
div,
ul,
li,
h4,
span {
  padding: 0;
  margin: 0;
}
.bili-share-pc {
  border: 1px solid #e8e9eb;
  padding: 18px 0 18px 24px;
  border-radius: 5px;
  position: relative;
  width: 980px;
  height: 40px;
  margin: 20px auto;
  box-sizing: content-box;
}
.bili-share-pc li {
  list-style: none;
}
.bili-share-pc.bili-clearfix:after {
  content: '.';
  display: block;
  height: 0;
  clear: both;
  visibility: hidden;
}
.bili-share-pc .bili-clearfix:after {
  content: '.';
  display: block;
  height: 0;
  clear: both;
  visibility: hidden;
}
.bili-share-pc .fl {
  float: left;
}
.bili-share-pc .share {
  display: inline-block;
}
.bili-share-pc .share .icon {
  background: url('https://activity.hdslb.com/blackboard/shareModule/images/12xn9z34xj.png')
    no-repeat;
  width: 40px;
  height: 40px;
  display: inline-block;
  margin-right: 10px;
  cursor: pointer;
}
.bili-share-pc .share .icon_bili {
  background: url('https://i0.hdslb.com/bfs/activity-plat/static/20180321/dfa73b898f143877cbf8ecf001cd9e89/images/l6oq2p5wy7.png')
    no-repeat;
  background-position: -370px 0;
}
.bili-share-pc .share .icon_bili:hover {
  background-position: -370px -71px;
}
.bili-share-pc .share .icon_weibo {
  background-position: 0 0;
}
.bili-share-pc .share .icon_weibo:hover {
  background-position: 0 -71px;
}
.bili-share-pc .share .icon_wechat {
  background-position: -74px 0;
  position: relative;
}
.bili-share-pc .share .icon_wechat:hover {
  background-position: -74px -71px;
}
.bili-share-pc .share .icon_qzone {
  background-position: -148px 0;
}
.bili-share-pc .share .icon_qzone:hover {
  background-position: -148px -71px;
}
.bili-share-pc .share .icon_qq {
  background-position: -222px 0;
}
.bili-share-pc .share .icon_qq:hover {
  background-position: -222px -71px;
}
.bili-share-pc .share .icon_baidu {
  background-position: -296px 0;
}
.bili-share-pc .share .icon_baidu:hover {
  background-position: -296px -71px;
}

.bili-share-pc .favourite {
  display: inline-block;
}
.bili-share-pc .title {
  font-size: 18px;
  color: #222;
  display: inline-block;
  padding-right: 20px;
  font-weight: bold;
  line-height: 40px;
}
.bili-share-pc .vertical-line {
  margin: 5px 24px 5px 14px;
  height: 30px;
  display: inline-block;
  border-left: 2px solid #e8e9eb;
}
.bili-share-pc .favourite .icon-fav {
  background: url('https://activity.hdslb.com/blackboard/shareModule/images/79lx82m4lq.jpg');
  width: 65px;
  height: 50px;
  display: inline-block;
  position: absolute;
  top: 5px;
  cursor: pointer;
}
.bili-share-pc .favourite .icon-like {
  background-position: 0px 5px;
}
.bili-share-pc .favourite .fav {
  padding-right: 0px;
  width: 54px;
}
.bili-share-pc .favourite .icon-like:hover {
  animation: likePlay 1s steps(14) infinite;
}
.bili-share-pc .favourite .icon-liked {
  background-position: 0px -59px;
}
@keyframes likePlay {
  0% {
    background-position: 0 0;
  }
  100% {
    background-position: -896px 5px;
  }
}

.bili-share-pc .popTips {
  position: absolute;
  top: -15px;
  left: 0;
  background-color: rgba(0, 0, 0, 0.8);
  color: #fff;
  padding: 6px;
  border-radius: 5px;
  font-size: 12px;
  opacity: 0;
  animation: popTips 1.5s;
}
@keyframes popTips {
  0% {
    opacity: 0;
    top: 0px;
  }
  15% {
    opacity: 1;
    top: -15px;
    transform: scale(1.1, 1.1);
  }
  30% {
    transform: scale(1, 1);
  }
  50% {
    opacity: 1;
    top: -15px;
  }
  90% {
    opacity: 1;
    top: -15px;
  }
  100% {
    opacity: 0;
    top: 0px;
  }
}

/************ 动态遮罩 ***************/
.bili-wrap {
  width: 100%;
  height: 100%;
  position: fixed;
  z-index: 1000;
  background-color: transparent;
  left: 0;
  top: 0;
  display: block;
  opacity: 1;
  background-color: rgba(0, 0, 0, 0.5);
}

/************ 二维码 ***************/
.bili-share-pc .share .icon_wechat:hover .weixin-hover {
  display: block;
}
.bili-share-pc .weixin-hover {
  position: absolute;
  z-index: -1;
  display: none;
}
.bili-share-pc .weixin-hover .qr-before {
  background-color: #fff;
  box-shadow: rgba(0, 0, 0, 0.3) 0 2px 4px;
  width: 50px;
  height: 81px;
  top: -18px;
  position: absolute;
  left: -6px;
}
.bili-share-pc .share-weixin-qr {
  position: absolute;
  top: 62px;
  left: -6px;
  padding: 15px 13px;
  background-color: #fff;
  box-shadow: 0px 4px 5px rgba(0, 0, 0, 0.3);
}
.bili-share-pc .share-weixin-qr h4 {
  text-align: center;
  font-size: 16px;
  font-weight: normal;
  color: #333;
  margin-bottom: 15px;
}
.bili-share-pc .share-weixin-qr .qr-code {
  width: 120px;
  text-align: center;
}
.bili-share-pc .share-weixin-qr .qr-code img {
  display: block;
  width: 100%;
}

.messageTip {
  margin: 0;
  position: absolute;
}

.bili-wrap iframe {
  height: 100%;
  width: 100%;
}

/************ 自定义 ***************/
#biliSharePc li {
  list-style: none;
}
#biliSharePc .share {
  font-size: 100px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: calc(.5em * 5 - .1em);
}
#biliSharePc .share .icon {
  background: url('https://i0.hdslb.com/bfs/activity-plat/static/20180321/dfa73b898f143877cbf8ecf001cd9e89/images/l6oq2p5wy7.png')
  no-repeat;
  width: .4em;
  height: .4em;
  line-height: .4em;
  cursor: pointer;
  background-size: 4.09em;
}
#biliSharePc .share .icon_bili {
  background-position: -3.7em 0;
}
#biliSharePc .share .icon_bili:hover {
  background-position: -3.7em -.71em;
}
#biliSharePc .share .icon_weibo {
  background-position: 0 0;
}
#biliSharePc .share .icon_weibo:hover {
  background-position: 0 -.71em;
}
#biliSharePc .share .icon_wechat {
  background-position: -.74em 0;
  position: relative;
}
#biliSharePc .share .icon_wechat:hover {
  background-position: -.74em -.71em;
}
#biliSharePc .share .icon_qzone {
  background-position: -1.48em 0;
}
#biliSharePc .share .icon_qzone:hover {
  background-position: -1.48em -.71em;
}
#biliSharePc .share .icon_qq {
  background-position: -2.22em 0;
}
#biliSharePc .share .icon_qq:hover {
  background-position: -2.22em -.71em;
}
#biliSharePc .share .icon_baidu_tieba {
  background-position: -2.96em 0;
}
#biliSharePc .share .icon_baidu_tieba:hover {
  background-position: -2.96em -.71em;
}
#biliSharePc .share .icon_wechat:hover .weixin-hover {
  display: block;
}
#biliSharePc .weixin-hover {
  position: absolute;
  /* z-index: -1; */
  display: none;
}
#biliSharePc .weixin-hover .qr-before {
  background-color: #fff;
  box-shadow: rgba(0, 0, 0, 0.3) 0 2px 4px;
  width: 50px;
  height: 81px;
  top: -18px;
  position: absolute;
  left: -6px;
}
#biliSharePc .share-weixin-qr {
  position: absolute;
  top: 62px;
  left: -6px;
  padding: 15px 13px;
  background-color: #fff;
  box-shadow: 0px 4px 5px rgba(0, 0, 0, 0.3);
}
#biliSharePc .icon-hover .share-weixin-qr {
  position: absolute;
  top: 50px;
  left: -50px;
  padding: 15px 13px;
  background-color: #fff;
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
}
#biliSharePc .share-weixin-qr h4 {
  text-align: center;
  font-size: 16px;
  font-weight: normal;
  color: #333;
  margin-bottom: 15px;
}
#biliSharePc .share-weixin-qr .qr-code {
  width: 120px;
  text-align: center;
}
#biliSharePc .share-weixin-qr .qr-code img {
  display: block;
  width: 100%;
}@font-face {
  font-family: 'YuanSC';
  src: url('https://s1.hdslb.com/bfs/game-static/web/caster/static/script/vue/huadao/font/yuansc.woff2') format('truetype');
  font-weight: normal;
  font-style: normal;
  font-display: swap; /* 使用 swap 策略来防止字体闪烁 */
}


/* 添加字体加载时的占位样式，防止布局抖动 */
.font-loading {
  font-size: calc(1em - 1px);
  letter-spacing: 0.025em;
}

        .images_share-btn-share {
          position: relative;
          width: 118px;
          height: 41px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/dfcc2f419c7a056ac4ab74c34b5c4b5476e41bbd.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_btn-finished {
          position: relative;
          width: 116px;
          height: 41px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/187bd3147b4253f304be4466e2f0984f324ec086.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_share-btn-save {
          position: relative;
          width: 118px;
          height: 41px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/694ff80226bbc895c98dd4237b7d5996ecfd3795.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_btn-compose {
          position: relative;
          width: 161px;
          height: 160px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/a48cfdf4f3d658c3fd60926d262fdde9213a8eff.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_clue-2-bg {
          position: relative;
          width: 194px;
          height: 284px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/478332eef58908468548a6442044a25b43b7e80d.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_share-btn-close {
          position: relative;
          width: 49px;
          height: 50px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/e2b76bc87d68db8b3c1483ad865431b947091d33.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_clue-2-icon {
          position: relative;
          width: 194px;
          height: 284px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/30ff3ed856e9a27bbb5a609a9d726fef33e938d5.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_clue-3-icon {
          position: relative;
          width: 194px;
          height: 284px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/581ce6a484f510e8333e335d8403d3bb1398512a.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_share-bg-qr {
          position: relative;
          width: 340px;
          height: 604px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/850970f5601b3b57c24e7190a8c67388ade14488.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_btn-i-share {
          position: relative;
          width: 118px;
          height: 41px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/6ab135fb630ac23d93063babf3b800bea1401db0.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_btn-unfinish {
          position: relative;
          width: 116px;
          height: 41px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/90c7615d3c987a9323c8605b61eba9d6fb2c74f0.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_btn-get {
          position: relative;
          width: 116px;
          height: 41px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/aaa53661f20d8135d588ed315eafd2cd7f6ff181.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_share-bg {
          position: relative;
          width: 340px;
          height: 604px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/b78e46441203a3a092d43b468965e86fa9a73919.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_icon-mark {
          position: relative;
          width: 9px;
          height: 31px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/44c29d8d55a25781bd1a5750ac73a609ef09b74e.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_clue-1-bg {
          position: relative;
          width: 194px;
          height: 284px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/5e959ab66b6f9b4db86022163b4accadc64d6bbc.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_btn-compose-lock {
          position: relative;
          width: 161px;
          height: 160px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/b9eb2baca63101758c5dbdc4244bff92d8f8b105.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_clue-3-bg {
          position: relative;
          width: 194px;
          height: 284px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/849ce5b78887af45e162971ced02f64c665b0986.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_btn-lock-3 {
          position: relative;
          width: 116px;
          height: 41px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/10f7b589a06dd9507c4b49ba87f92056b35f223f.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_btn-lock-2 {
          position: relative;
          width: 116px;
          height: 41px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/60467cbcc15ed72e9ad6809f83e42d2b044cc4f7.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_clue-1-icon {
          position: relative;
          width: 194px;
          height: 284px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/935d68876f87bbb3482912f12e86c884a61232e2.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        
        .images_btn-lock-1 {
          position: relative;
          width: 116px;
          height: 41px;
          background-image: url(https://i0.hdslb.com/bfs/game-static/8f5ba726d7fc631b032cf08590e729894aa19c2f.png);
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center;
        }
        .clue-root .bili-share-pc {
  border: none !important;
  left: 110px;
  top: -35px;
}
.clue-root .bili-share-pc .share .title {
  display: none;
}
.clue-root .bili-share-pc .share .icon {
  width: 36px;
  height: 36px;
  background: url("https://i0.hdslb.com/bfs/activity-plat/static/20220802/6319485c5f03766492e9daedb18d2697/cfOPwN7lYt.png") center/100%;
  background-size: 243px 36px;
  background-repeat: no-repeat;
}
.clue-root .bili-share-pc .share .weixin-hover .qr-before {
  background-color: transparent;
  box-shadow: none;
}
.clue-root .bili-share-pc .share .weixin-hover .share-weixin-qr {
  top: -210px;
}
.clue-root .bili-share-pc .share .icon_bili {
  background-position: 0 0;
}
.clue-root .bili-share-pc .share .icon_bili:hover {
  background-position: 0 0px;
}
.clue-root .bili-share-pc .share .icon_weibo {
  background-position: -41px 0;
}
.clue-root .bili-share-pc .share .icon_weibo:hover {
  background-position: -41px 0;
}
.clue-root .bili-share-pc .share .icon_wechat {
  background-position: -83px 0;
}
.clue-root .bili-share-pc .share .icon_wechat:hover {
  background-position: -83px 0;
}
.clue-root .bili-share-pc .share .icon_qq {
  background-position: -124px 0;
}
.clue-root .bili-share-pc .share .icon_qq:hover {
  background-position: -124px 0;
}
.clue-root .bili-share-pc .share .icon_qzone {
  background-position: -166px 0;
}
.clue-root .bili-share-pc .share .icon_qzone:hover {
  background-position: -166px 0;
}
.clue-root .bili-share-pc .share .icon_baidu {
  background-position: -207px 0;
}
.clue-root .bili-share-pc .share .icon_baidu:hover {
  background-position: -207px 0;
}
@keyframes breathWiggle {
0% {
    transform: scale(1);
}
50% {
    transform: scale(1.3);
}
100% {
    transform: scale(1);
}
}
.clue-root {
  font-family: "YuanSC", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  box-sizing: border-box;
  position: relative;
  width: 100%;
  display: flex;
  align-items: center;
  flex-wrap: nowrap;
}
.clue-root * {
  box-sizing: border-box;
}
.clue-root .task-item {
  position: relative;
  margin-right: 12px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  overflow: visible;
}
.clue-root .get-clue-area {
  cursor: pointer;
  z-index: 1;
  position: absolute;
  top: 0px;
  left: 6px;
  width: 183px;
  height: 219px;
}
.clue-root .images_clue-icon .icon-mark {
  position: absolute;
  top: 7px;
  right: 21.5px;
  animation: breathWiggle 1s infinite;
}
.clue-root .images_clue-icon .clue-text {
  position: absolute;
  z-index: 0;
  top: 167px;
  width: 60%;
  height: 55px;
  display: flex;
  align-items: center;
  justify-content: center;
  left: 50%;
  transform: translateX(-50%);
  text-align: center;
  font-size: 18px;
  line-height: 22px;
  font-weight: bold;
  white-space: wrap;
  color: #2b1815;
  text-shadow: 0 2.238px #fff8e6, 2.238px 0 #fff8e6, -2.238px 0 #fff8e6, 0 -2.238px #fff8e6;
}
.clue-root .btn-compose {
  cursor: pointer;
  margin-left: 10px;
}
.clue-root .btn-action {
  cursor: pointer;
  position: absolute;
  right: 8px;
  bottom: 18px;
}
.clue-mask {
  position: fixed;
  width: 100vw;
  height: 100vh;
  z-index: 300;
  background: rgba(0, 0, 0, 0.5);
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}
.clue-mask .clue-text-qr {
  bottom: 187px !important;
}
.clue-mask .clue-text {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  bottom: 118px;
  width: 80%;
  height: 100px;
  left: 50%;
  transform: translateX(-50%);
  text-align: center;
  font-size: 21px;
  font-weight: bold;
  white-space: wrap;
  color: #a9664d;
}
.clue-mask .result-box {
  transform: scale(0.8);
}
.clue-mask .result-box .btn-close {
  cursor: pointer;
  position: absolute;
  top: -34.4px;
  right: -14px;
  width: 32px !important;
  height: 32px !important;
}
.clue-mask .result-box .btn-share {
  cursor: pointer;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: 25px;
}
.clue-mask .share-box {
  transform: scale(0.8);
  position: relative;
  width: 340px;
  height: 604px;
}
.clue-mask .share-box .btn-close {
  cursor: pointer;
  position: absolute;
  top: -34.4px;
  right: -14px;
  width: 32px !important;
  height: 32px !important;
}
.clue-mask .share-box .btn-save {
  cursor: pointer;
  position: absolute;
  left: 30px;
  bottom: 25px;
}
.clue-mask .share-box .btn-media {
  cursor: pointer;
  position: absolute;
  right: 30px;
  bottom: 25px;
}
.clue-mask .share-box #snapSrc {
  position: relative;
  width: 340px;
  height: 604px;
}
.clue-mask .share-box #snapSrc .share-bg-qr {
  position: absolute;
  top: 0;
  left: 0;
}